using de.WWWings;
using System.Collections.Generic; // normaler Import
using GenCol = System.Collections.Generic; // Import mit Alias
namespace de.WWWings
{
 
 /// <summary>
 /// Eine Menge von Flügen. Alte Implementierung, die Manager und ORM in einem war. Verwenden Sie nur noch FlugMenge und FlugBLManager
 /// </summary>
 [System.CLSCompliant(false)]
 [System.ComponentModel.DataObject()]
 [System.Serializable()]
 [System.Obsolete("Bitte verwenden Sie nur noch die Klasse Flugmenge")]
 public class Fluege : System.Collections.Generic.SortedList<long, Flug>
 {
  
  /// <summary>
  /// Typischer OR-Mapping-Code
  /// </summary>
  public static Fluege Alle()
  {
   Fluege ff = new Fluege();
   foreach (System.Data.DataRow dr in Fluege.AlleFluege_DS().Tables[0].Rows)
   {
    Flug f = new Flug(dr);
    ff.Add(f.FlugNr, f);
   }
   return ff;
  }

  /// <summary>
  /// Weiterleiten eines DataSet
  /// </summary>
  /// <returns></returns>
  public static System.Data.DataSet AlleFluege_DS()
  {
   return DAL.Flug_DataManager.AlleFluege_DS();
  }

  /// <summary>
  /// Weiterleiten eines DataSet
  /// </summary>
  /// <returns></returns>
  public static System.Data.DataSet AlleFluege_DS(long von, long bis)
  {
   return DAL.Flug_DataManager.AlleFluege_DS(von, bis);
  }

  /// <summary>
  /// Weiterleiten eines DataSet mit Bedingung
  /// </summary>
  /// <param name="Abflugort"></param>
  /// <returns></returns>
  public static System.Data.DataSet AlleFluege_DS(string Abflugort)
  {
   return DAL.Flug_DataManager.AlleFluege_DS(Abflugort);
  }

  /// <summary>
  /// Liste der Abflugorte
  /// </summary>
  /// <returns></returns>
  public static string[] Abflugorte()
  {
   return DAL.Flug_DataManager.AlleAbflughaefen();
  }

  /// <summary>
  /// Liste der Abflugort als Datatset
  /// </summary>
  /// <returns></returns>
  public static System.Data.DataSet Abflugorte_DS()
  {
   return DAL.Flug_DataManager.AlleAbflughaefen_DS();
  }


  /// <summary>
  /// Änderungen speichern
  /// </summary>
  /// <param name="ds"></param>
  public static void Update_DS(System.Data.DataSet ds)
  {
   DAL.Flug_DataManager.Update(ds);
  }
  
  public void Test()
     {
         throw new System.NotImplementedException();
     }
  
 }
}